//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace VakifDataTransferNew.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class SubscriptionPeriodFee
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public SubscriptionPeriodFee()
        {
            this.SubscriptionMonths = new HashSet<SubscriptionMonth>();
        }
    
        public System.Guid Id { get; set; }
        public string CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public string ModifiedBy { get; set; }
        public Nullable<System.DateTime> ModifiedDate { get; set; }
        public bool IsActive { get; set; }
        public System.Guid SubscriptionConstantId { get; set; }
        public double Multiplier { get; set; }
        public System.DateTime PeriodFromDate { get; set; }
        public System.DateTime PeriodToDate { get; set; }
        public string Note { get; set; }
    
        public virtual SubscriptionConstant SubscriptionConstant { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<SubscriptionMonth> SubscriptionMonths { get; set; }
    }
}
